Get an activity entry
curl --request GET \
--url https://api.ravion.com/activity/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/activity/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/activity/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ravion.com/activity/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ravion.com/activity/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ravion.com/activity/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ravion.com/activity/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"catalogId": "<string>",
"category": "runs",
"id": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"payload": {
"activity": {
"actor": {
"display": "<string>",
"kind": "member",
"email": "<string>",
"id": "<string>",
"mcp_client_name": "<string>",
"process": "<string>",
"service_account_id": "<string>",
"service_account_name": "<string>"
},
"category": "runs",
"status": "succeeded",
"subject_name": "<string>",
"after": {},
"before": {},
"correlation_id": "<string>",
"request": {
"authentication": "session",
"client": "dashboard",
"ip": "<string>",
"request_id": "<string>",
"user_agent": "<string>",
"client_version": "<string>",
"session_ref": "<string>",
"trace_id": "<string>"
}
},
"event": "pipeline.run.started",
"id": "<string>",
"organization_id": "<string>",
"organization_name": "<string>",
"pipeline_id": "<string>",
"pipeline_name": "<string>",
"trigger_source": "webhook:github",
"completed_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"duration_ms": 123,
"environment_id": "<string>",
"environment_name": "<string>",
"module_instance_id": "<string>",
"module_instance_name": "<string>",
"no_cache": true,
"project_id": "<string>",
"project_name": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"steps": [
{
"status": "QUEUED",
"step_id": "<string>",
"step_name": "<string>",
"step_type": "<string>",
"approved_by": "<string>",
"approved_via": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"step_execution_id": "<string>"
}
],
"trigger_given_id": "<string>",
"triggered_by": "<string>",
"triggered_by_display": "<string>",
"webhook_event": "<string>"
},
"subjectId": "<string>",
"subjectType": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}Activity
Get an activity entry
Get one activity entry. An entry you may not read is reported as not found. Refused with 403 unless the activity-page feature flag is on for your organization.
GET
/
activity
/
{id}
Get an activity entry
curl --request GET \
--url https://api.ravion.com/activity/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/activity/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/activity/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ravion.com/activity/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ravion.com/activity/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ravion.com/activity/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ravion.com/activity/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"catalogId": "<string>",
"category": "runs",
"id": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"payload": {
"activity": {
"actor": {
"display": "<string>",
"kind": "member",
"email": "<string>",
"id": "<string>",
"mcp_client_name": "<string>",
"process": "<string>",
"service_account_id": "<string>",
"service_account_name": "<string>"
},
"category": "runs",
"status": "succeeded",
"subject_name": "<string>",
"after": {},
"before": {},
"correlation_id": "<string>",
"request": {
"authentication": "session",
"client": "dashboard",
"ip": "<string>",
"request_id": "<string>",
"user_agent": "<string>",
"client_version": "<string>",
"session_ref": "<string>",
"trace_id": "<string>"
}
},
"event": "pipeline.run.started",
"id": "<string>",
"organization_id": "<string>",
"organization_name": "<string>",
"pipeline_id": "<string>",
"pipeline_name": "<string>",
"trigger_source": "webhook:github",
"completed_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"duration_ms": 123,
"environment_id": "<string>",
"environment_name": "<string>",
"module_instance_id": "<string>",
"module_instance_name": "<string>",
"no_cache": true,
"project_id": "<string>",
"project_name": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"steps": [
{
"status": "QUEUED",
"step_id": "<string>",
"step_name": "<string>",
"step_type": "<string>",
"approved_by": "<string>",
"approved_via": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"step_execution_id": "<string>"
}
],
"trigger_given_id": "<string>",
"triggered_by": "<string>",
"triggered_by_display": "<string>",
"webhook_event": "<string>"
},
"subjectId": "<string>",
"subjectType": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}Was this page helpful?